# The Onion Plan

A research and ongoing holistic strategy to increase the adoption an enhance
the usability of [Tor Onion Services][]

The Onion Plan repository is located [here][].

[Tor Onion Services]: https://community.torproject.org/onion-services/
[here]: https://gitlab.torproject.org/tpo/onion-services/onionplan/

![Onion Services](assets/onion-services.png)

<!--
  Leaving the grid cards commented, since it requires a documentation
  structured with README.md files in all subsections, which may not be the case
  right now.
-->
<!--
<div class="grid cards" markdown>

-   :onion:{ .lg .middle } __Preamble__

    ---

    General discussion on goals and challenges.

    [:octicons-arrow-right-24: Initial research remarks](preamble/README.md)

-   :material-flask-empty-remove:{ .lg .middle } __Proposals__

    ---

    Relevant proposals to improve the Onion Services technology.

    [:octicons-arrow-right-24: Onion Service proposals](proposals/README.md)

-   :material-chart-gantt:{ .lg .middle } __Scenarios__

    ---

    Roadmap scenarios, considering existing proposals.

    [:octicons-arrow-right-24: Roadmap scenarios](scenarios/README.md)

-   :material-paperclip:{ .lg .middle } __Appendixes__

    ---

    Further and deeper discussion on both proposals and scenarios.

    [:octicons-arrow-right-24: Appendixes](appendixes/README.md)

-   :link:{ .lg .middle } __References__

    ---

    Relevant and curated references.

    [:octicons-arrow-right-24: Research references](security/README.md)

-   :material-contacts:{ .lg .middle } __About__

    ---

    Onion Plan metainformation.

    [:octicons-arrow-right-24: About, contact and license](about/README.md)

</div>
-->
